org.apache.commons.collections4.iterators

## Class UnmodifiableListIterator<E>

- java.lang.Object
- - org.apache.commons.collections4.iterators.UnmodifiableListIterator<E>

- All Implemented Interfaces:
    Iterator<E>, ListIterator<E>, Unmodifiable

      public final class UnmodifiableListIterator<E>
      extends Object
      implements ListIterator<E>, Unmodifiable

  Decorates a list iterator such that it cannot be modified.

  Attempts to modify it will result in an UnsupportedOperationException.

  Since:
    3.0

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(E obj)`
    `boolean` | `hasNext()`
    `boolean` | `hasPrevious()`
    `E` | `next()`
    `int` | `nextIndex()`
    `E` | `previous()`
    `int` | `previousIndex()`
    `void` | `remove()`
    `void` | `set(E obj)`
    `static <E> ListIterator<E>` | `umodifiableListIterator(ListIterator<? extends E> iterator)` Decorates the specified iterator such that it cannot be modified.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Method Detail

    - #### umodifiableListIterator

          public static <E> ListIterator<E> umodifiableListIterator(ListIterator<? extends E> iterator)

      Decorates the specified iterator such that it cannot be modified.
      Type Parameters:
        `E` - the element type
      Parameters:
        `iterator` - the iterator to decorate
      Returns:
        a new unmodifiable list iterator
      Throws:
        `NullPointerException` - if the iterator is null

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<E>`
      Specified by:
        `hasNext` in interface `ListIterator<E>`

    - #### next

          public E next()

      Specified by:
        `next` in interface `Iterator<E>`
      Specified by:
        `next` in interface `ListIterator<E>`

    - #### nextIndex

          public int nextIndex()

      Specified by:
        `nextIndex` in interface `ListIterator<E>`

    - #### hasPrevious

          public boolean hasPrevious()

      Specified by:
        `hasPrevious` in interface `ListIterator<E>`

    - #### previous

          public E previous()

      Specified by:
        `previous` in interface `ListIterator<E>`

    - #### previousIndex

          public int previousIndex()

      Specified by:
        `previousIndex` in interface `ListIterator<E>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<E>`
      Specified by:
        `remove` in interface `ListIterator<E>`

    - #### set

          public void set(E obj)

      Specified by:
        `set` in interface `ListIterator<E>`

    - #### add

          public void add(E obj)

      Specified by:
        `add` in interface `ListIterator<E>`

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.